Package wx :: Class MDIParentFrame

[frames | no frames]

## Type MDIParentFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                MDIParentFrame

Known Subclasses:
  `DocMDIParentFrame`

Proxy of C++ MDIParentFrame class

Method Summary
MDIParentFrame | `__init__(self, parent, id, title, pos, size, style, name)`
| `ActivateNext(self)`
| `ActivatePrevious(self)`
| `ArrangeIcons(self)`
| `Cascade(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
MDIChildFrame | `GetActiveChild(self)`
MDIClientWindow | `GetClientWindow(self)`
| `Tile(self, orient)`

Property Summary
| `ActiveChild`: See `GetActiveChild`
| `ClientWindow`: See `GetClientWindow`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, title=EmptyString, pos=DefaultPosition, size=DefaultSize, style=wxDEFAULT_FRAME_STYLE|wxVSCROLL|wxHSCROLL, name=FrameNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Frame.Create` (inherited documentation)

Property Details

### ActiveChild

See `GetActiveChild`

  Get Method:
    `GetActiveChild`(self)

### ClientWindow

See `GetClientWindow`

  Get Method:
    `GetClientWindow`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:26 2007 | http://epydoc.sf.net